Skip to content
Myra Online Help Updated · 21 Aug 2026

Stopping the active manual mitigation of a network

Sends a POST request to the endpoint /networks/{network}/mitigation/stop.

Description

The Stop-Mitigation request stops the active manual mitigation for a specified network.

Requirements

Values of the request: Network ID {network}

Objects: none

Request

To stop the active manual mitigation, add the Network ID {network} to the path of the request.

The following attributes are optional:

Attributes Description Values
ip A list of individual IPs within the network for which the mitigation is to be stopped. If this information is missing, the mitigation is stopped for the entire network CIDR. array

As a result, the user gets one or more objects MitigationVO with the requested information.

The object provides the following information:

Attributes Description Values
id The ID of the mitigation. string
organisation The associated organisation. object
network The network or, in the case of a partial mitigation, the specific IP that is mitigated. string
mitigation_type The type of the mitigation.
  • ACTION_BLACKHOLE
  • ACTION_MITIGATE_ONPREM
  • ACTION_MITIGATE_CLOUD
mitigation_cause How the mitigation was triggered.
  • MANUAL_TRIGGER
  • AUTO_TRIGGER
  • OPS_TRIGGER
  • UNKNOWN_TRIGGER
start The start date of the mitigation in ISO 8601 format. string($date-time)
end The end date of the mitigation in ISO 8601 format. string($date-time)
created_at The creation date in ISO 8601 format. string($date-time)
updated_at The last modification date in ISO 8601 format. string($date-time)
actual_bw The actual bandwidth. number($float)
actual_pps The actual packets per second. number($float)
configured_bw The configured bandwidth. number($float)
configured_pps The configured packets per second. number($float)
configured_bw_percentage The configured bandwidth as a percentage. number
configured_pps_percentage The configured packets per second as a percentage. number
peak_bw The peak bandwidth. number($float)
peak_pps The maximum packets per second. number($float)
total_bw The total bandwidth. number($float)
total_pps The total packets per second. number($float)
has_report Whether a report is available for the mitigation.
  • true
  • false
start_user The users who started the mitigation. object
end_user The users who ended the mitigation; null while the mitigation is running. object

Example

Example request body:

{
  "ip": [
    "string"
  ]
}

Responses

The following responses are available:

STATUS CODE DESCRIPTION
200 The request has succeeded.
304 The resource has not changed since the last request.
401 The request has not succeeded because the user authentication was incorrect.
403 The request has not succeeded because the user does not have the right permissions.
422 The request was unsuccessful because the submitted data could not be processed.